<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelMapFile Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelMapFile Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelMapFile" --><!-- doxytag: inherits="iBase" -->
<p>A representation of a map file for a region.  
 <a href="structiCelMapFile.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="zone_8h_source.html">propclass/zone.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelMapFile:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelMapFile.png" usemap="#iCelMapFile_map" alt=""/>
  <map id="iCelMapFile_map" name="iCelMapFile_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,80,24"/>
</map>
 </div></div>

<p><a href="structiCelMapFile-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelMapFile.html#a4b1ae39fb3458234f2c05c5dd155492f">GetFile</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the VFS filename for the world file associated with this map.  <a href="#a4b1ae39fb3458234f2c05c5dd155492f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelMapFile.html#ae078eac8bbec9f037d1f740eef39e0f0">GetName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get name associated with this map.  <a href="#ae078eac8bbec9f037d1f740eef39e0f0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelMapFile.html#a815a0397f8b193ecdcd0b0ff5884a0f5">GetPath</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the VFS path for the world file associated with this map.  <a href="#a815a0397f8b193ecdcd0b0ff5884a0f5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelMapFile.html#a126351d015dd6b297766586b34ba80b5">GetSectorName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the sector name if this map is represented by a single sector (i.e.  <a href="#a126351d015dd6b297766586b34ba80b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelMapFile.html#ae119b82420b4c815edc54861fbff5e81">SetFile</a> (const char *file)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the VFS filename for the world file associated with this map.  <a href="#ae119b82420b4c815edc54861fbff5e81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelMapFile.html#a00f1f335a948485a92f21e2c4fa3bdb5">SetName</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name associated with this map.  <a href="#a00f1f335a948485a92f21e2c4fa3bdb5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelMapFile.html#a25f53436a4d8933f298fef1328f2320f">SetPath</a> (const char *path)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the VFS path for the world file associated with this map.  <a href="#a25f53436a4d8933f298fef1328f2320f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelMapFile.html#ab67aff32906efd54dd6e4126a7e7fc4f">SetSectorName</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This map file corresponds with a sector instead of a VFS path.  <a href="#ab67aff32906efd54dd6e4126a7e7fc4f"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A representation of a map file for a region. </p>

<p>Definition at line <a class="el" href="zone_8h_source.html#l00039">39</a> of file <a class="el" href="zone_8h_source.html">zone.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a4b1ae39fb3458234f2c05c5dd155492f"></a><!-- doxytag: member="iCelMapFile::GetFile" ref="a4b1ae39fb3458234f2c05c5dd155492f" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelMapFile.html#a4b1ae39fb3458234f2c05c5dd155492f">iCelMapFile::GetFile</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the VFS filename for the world file associated with this map. </p>
<p>Returns 0 if <a class="el" href="structiCelMapFile.html#ab67aff32906efd54dd6e4126a7e7fc4f" title="This map file corresponds with a sector instead of a VFS path.">SetSectorName()</a> is used. </p>

</div>
</div>
<a class="anchor" id="ae078eac8bbec9f037d1f740eef39e0f0"></a><!-- doxytag: member="iCelMapFile::GetName" ref="ae078eac8bbec9f037d1f740eef39e0f0" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelMapFile.html#ae078eac8bbec9f037d1f740eef39e0f0">iCelMapFile::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get name associated with this map. </p>
<p>Returns 0 if name is not used. </p>

</div>
</div>
<a class="anchor" id="a815a0397f8b193ecdcd0b0ff5884a0f5"></a><!-- doxytag: member="iCelMapFile::GetPath" ref="a815a0397f8b193ecdcd0b0ff5884a0f5" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelMapFile.html#a815a0397f8b193ecdcd0b0ff5884a0f5">iCelMapFile::GetPath</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the VFS path for the world file associated with this map. </p>
<p>Returns 0 if path is not used. </p>

</div>
</div>
<a class="anchor" id="a126351d015dd6b297766586b34ba80b5"></a><!-- doxytag: member="iCelMapFile::GetSectorName" ref="a126351d015dd6b297766586b34ba80b5" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelMapFile.html#a126351d015dd6b297766586b34ba80b5">iCelMapFile::GetSectorName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the sector name if this map is represented by a single sector (i.e. </p>
<p><a class="el" href="structiCelMapFile.html#ab67aff32906efd54dd6e4126a7e7fc4f" title="This map file corresponds with a sector instead of a VFS path.">SetSectorName()</a>). Returns 0 if <a class="el" href="structiCelMapFile.html#a25f53436a4d8933f298fef1328f2320f" title="Set the VFS path for the world file associated with this map.">SetPath()</a> is used. </p>

</div>
</div>
<a class="anchor" id="ae119b82420b4c815edc54861fbff5e81"></a><!-- doxytag: member="iCelMapFile::SetFile" ref="ae119b82420b4c815edc54861fbff5e81" args="(const char *file)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelMapFile.html#ae119b82420b4c815edc54861fbff5e81">iCelMapFile::SetFile</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the VFS filename for the world file associated with this map. </p>
<p>This is relative to the path if given. </p>

</div>
</div>
<a class="anchor" id="a00f1f335a948485a92f21e2c4fa3bdb5"></a><!-- doxytag: member="iCelMapFile::SetName" ref="a00f1f335a948485a92f21e2c4fa3bdb5" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelMapFile.html#a00f1f335a948485a92f21e2c4fa3bdb5">iCelMapFile::SetName</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name associated with this map. </p>

</div>
</div>
<a class="anchor" id="a25f53436a4d8933f298fef1328f2320f"></a><!-- doxytag: member="iCelMapFile::SetPath" ref="a25f53436a4d8933f298fef1328f2320f" args="(const char *path)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelMapFile.html#a25f53436a4d8933f298fef1328f2320f">iCelMapFile::SetPath</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the VFS path for the world file associated with this map. </p>
<p>If not 0 then the VFS current dir will be set to this path and filename will be relative to that. Otherwise path is ignored. </p>

</div>
</div>
<a class="anchor" id="ab67aff32906efd54dd6e4126a7e7fc4f"></a><!-- doxytag: member="iCelMapFile::SetSectorName" ref="ab67aff32906efd54dd6e4126a7e7fc4f" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelMapFile.html#ab67aff32906efd54dd6e4126a7e7fc4f">iCelMapFile::SetSectorName</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This map file corresponds with a sector instead of a VFS path. </p>
<p>Use this instead of <a class="el" href="structiCelMapFile.html#a25f53436a4d8933f298fef1328f2320f" title="Set the VFS path for the world file associated with this map.">SetPath()</a> if you want the region to have a single empty sector. The given name is the name of the sector. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="zone_8h_source.html">zone.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
